#
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# to whom the Software is furnished to do so, provided that the above
# copyright notice(s) and this permission notice appear in all copies of
# the Software and that both the above copyright notice(s) and this
# permission notice appear in supporting documentation.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
# OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
# HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL
# INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING
# FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
# NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
# WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# Except as contained in this notice, the name of a copyright holder
# shall not be used in advertising or otherwise to promote the sale, use
# or other dealings in this Software without prior written authorization
# of the copyright holder.
#
###########################################################################
#
USAGE="Usage: $0 { start | refresh }"
if [ $# -ne 1 ] ; then
echo $USAGE
exit 2
fi
#
# IF the gconf cache exist then :
# find schema files newer than the cache
# ELSE
# get all schema file
#
#
{
test -w $GCONFDIR || {
echo "$GCONFDIR is not writable, skipping."
return
}
else
fi
test -x /usr/bin/gconftool-2 || {
echo "gconftool-2 not installed"
return
}
echo "Updating GConf cache for the following schemas:"
# errors are printed to stderr
if [ $? -ne 0 ]; then
echo "gconftool-2 exited with an error while installing schemas"
exit $SMF_EXIT_ERR_FATAL
else
echo "Schema files merged in the GConf cache"
fi
fi
test -x /usr/bin/gconftool-2 || {
echo "gconftool-2 not installed"
return
}
echo "Updating GConf cache for the following entries:"
# errors are printed to stderr
/usr/bin/gconftool-2 --direct \
if [ $? -ne 0 ]; then
echo "gconftool-2 exited with an error while adding entries"
exit $SMF_EXIT_ERR_FATAL
else
echo "Entries merged into the GConf cache"
fi
fi
}
{
test -w $GCONFDIR || {
echo "$GCONFDIR is not writable, skipping."
return
}
else
fi
test -x /usr/bin/gconftool-2 || {
echo "gconftool-2 not installed"
return
}
echo "Updating GConf cache for the following schemas:"
# errors are printed to stderr
if [ $? -ne 0 ]; then
echo "gconftool-2 exited with an error while installing schemas"
exit $SMF_EXIT_ERR_FATAL
else
echo "Schema files merged in the GConf cache"
fi
fi
test -x /usr/bin/gconftool-2 || {
echo "gconftool-2 not installed"
return
}
echo "Updating GConf cache for the following entries:"
# errors are printed to stderr
/usr/bin/gconftool-2 --direct \
if [ $? -ne 0 ]; then
echo "gconftool-2 exited with an error while adding entries"
exit $SMF_EXIT_ERR_FATAL
else
echo "Entries merged into the GConf cache"
fi
fi
}
METHOD=$1
'start')
# Continue with rest of script
;;
'refresh')
;;
-*)
echo $USAGE
exit 2
;;
*)
echo "Invalid method $METHOD"
exit 2
;;
esac
exit $SMF_EXIT_OK